ERROR Could not find a valid gem logstash-core-plugin-api 0 in any repository

0 votes

Hi Guys,

I am trying to install Logstash core plugin API in my local but I got the below error.

$ gem install logstash-core-plugin-api
ERROR:  Could not find a valid gem 'logstash-core-plugin-api' (>= 0) in any repository
ERROR:  Possible alternatives: ph-logstash-core-plugin-api, logstash-codec-line, logstash-codec-plain, logstash-codec-fluent, logstash-codec-gzip
Jun 18, 2020 in DevOps Tools by akhtar
• 38,180 points
341 views

1 answer to this question.

0 votes

Hi@akhtar,

I think you don't have JRuby installed in your system. You need to install JRuby in your system and then run the below command.

$ jruby -S gem install logstash-core-plugin-api comaand
answered Jun 18, 2020 by MD
• 95,140 points

Related Questions In DevOps Tools

0 votes
3 answers
0 votes
1 answer

How do I find OpsWorks deploy user in a recipe ?

Here is a concept which you can ...READ MORE

answered Jul 25, 2018 in DevOps Tools by Atul
• 10,240 points
193 views
+1 vote
1 answer

i have a pyhton code in my git/git repository how to build that code in jenkins

Follow these steps @Bhaskar: Step 1: Open the Jenkins ...READ MORE

answered Oct 14, 2019 in DevOps Tools by Kalgi
• 52,310 points
187 views
0 votes
1 answer

How to get the current status of a local repository in Git?

Using 'git status' command in the repository ...READ MORE

answered Nov 26, 2019 in DevOps Tools by Sirajul
• 59,050 points
126 views
+15 votes
2 answers

Git management technique when there are multiple customers and need multiple customization?

Consider this - In 'extended' Git-Flow, (Git-Multi-Flow, ...READ MORE

answered Mar 26, 2018 in DevOps & Agile by DragonLord999
• 8,450 points
1,037 views
+2 votes
1 answer